SKYPED(1)

NAME
skyped - allows remote control of the Skype GUI client

SYNOPSIS

skyped [<options>]

DESCRIPTION

Skype supports remote control of the GUI client only via X11 or DBus messages. This is hard in case you want remote control. This daemon listens on a TCP port and runs on the same machine where the GUI client runs. It passes all the input it gets to Skype directly, except for a few commands which is related to authentication. The whole communication is done via SSL.

CONFIGURATION

    • Set up ~/.skyped/skyped.conf: Create the ~/.skyped directory, copy skyped.conf and skyped.cnf from /usr/local/etc/skyped/ to ~/.skyped, adjust username and password. The username should be your Skype login and the password can be whatever you want, but you will have to specify that one when adding the Skype account to BitlBee (see later).

    Note

    Here, and later - /usr/local/etc can be different on your installation if you used the --sysconfdir switch when running the configure of BitlBee.

    • Generate the SSL pem files:

    $ cd ~/.skyped
    $ openssl req -new -x509 -days 365 -nodes -config skyped.cnf -out skyped.cert.pem \
            -keyout skyped.key.pem

    • Start skyped (the TCP server), initially without detaching and enabling debug messages:

    $ skyped -d -n

    • Start your IRC client, connect to BitlBee and add your account:

    account add skype <user> <pass>

<user> should be your Skype account name, <pass> should be the one you declared in skyped.conf.

OPTIONS

-c, --config
    Path to configuration file (default: $HOME/.skyped/skyped.conf)

-d, --debug
    Enable debug messages

-h, --help
    Show short summary of options

-H, --host
    Set the tcp host (default: 0.0.0.0)

-l, --log
    Set the log file in background mode (default: none)

-m, --mock=<file>
    Mock mode: replay session from file, instead of connecting to Skype.

-n, --nofork
    Don’t run as daemon in the background

-s, --dont-start-skype
    Assume that skype is running independently, don’t try to start/stop it.

-p, --port
    Set the tcp port (default: 2727)

-v, --version
    Display version information

AUTHOR

Written by Miklos Vajna <vmiklos@vmiklos.hu>